package sgc.portal.co.co0107.web;

import org.springframework.web.bind.annotation.*;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.co.co0107.dto.CO01070001USearch;
import sgc.portal.co.co0107.service.CO01070001UService;

import java.util.List;

@RestController
@RequestMapping("/co/co0107")
public class CO01070001UController {
    private final CO01070001UService service;

    public CO01070001UController(CO01070001UService service) {
        this.service = service;
    }

    @PostMapping("/CO01070001U/list1")
    public List<EasyHashMap<String, Object>> getList1(@RequestBody CO01070001USearch search) {
        return service.getList1(search);
    }
    
    @PostMapping("/CO01070001U/list2")
    public List<EasyHashMap<String, Object>> getList2(@RequestBody CO01070001USearch search) {
        return service.getList2(search);
    }
    
}
